import httpRequest from '@/utils/axios'

// 登出
export function logout() {
  return httpRequest.get('/api/passport/logout')
}
// 获取用户信息
export function getUser() {
  return httpRequest.get('/api/passport/account/get-user-info')
}
/**
 * 获取角色
 */
export function getRole() {
  return httpRequest.get('/api/permissions/api/v1/user/roles')
}
/**
 * 获取权限列表
 */
export function getPermissions(params) {
  return httpRequest.get('/api/permissions/api/v1/user/permissions', { params })
}
